<?
// сылка воскрешение для админа
if ($login==$admin || $login==$admin2) {
if (file_exists("flag_access")) {     $acc_stat="выключить"; }
else {
$acc_stat="включить";
};
     if (file_exists("flag_update")) {     $deb_stat="открыть"; }
    else {
      $deb_stat="закрыть";
                         };
if (!$player["god"]) $player["god"]=0;
if ($adm=='1') {
msg("<a href=\"$PHP_SELF?sid=$sid&adm=news\">Новости</a><br>
(".$player["god"].")	<a href=\"$PHP_SELF?sid=$sid&adm=god\">Режим бога</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=telep\">Телепорт</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=newlogin\">Просмотр новых игроков</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=duser\">Удалить игрока</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=mani\">Деньги</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=filter\">Фильтр предметов</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=addvote\">Добавить вопрос</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=ufile\">Упрвления файлами</a><br>
<a href=\"$PHP_SELF?sid=$sid&infor=user\">Инфо о игроке</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=nastr\">Настроить</a><br>
<a href=\"$PHP_SELF?sid=$sid&adm=upgrade\">Обновить</a>");
}



if ($adm=='newlogin'){
//Указываем рабочую папку по умолчанию
$url = "data/new_users";
//Проверяем, является ли директорией
if (is_dir($url)) {
//Проверяем, была ли открыта директория
if ($dir = opendir($url)) {
//Сканируем директорию
while (false !== ($file = readdir($dir))){
//Убираем лишние элементы
if ($file != "." && $file != "..") {
//Выводим спиоск в браузер
$grad.="".$file."<br>";
}
}
}
}
msg($grad,"Новый игрок",0,'none');
}
if ($adm=='addvote'){
$grad.="<a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>";
if (!$do){
$grad.="<form action=\"$PHP_SELF?sid=$sid&adm=addvote&do=ok\" method=\"post\">
<span style=\"color:red\"><strong>*Вопрос</strong></span>:
<br/><input name=\"vopros\">
   <br/>==========<br/><strong>*Ответ 1</strong>:
<br/><input name=\"q1\">
<br/><strong>*Ответ 2</strong>:
<br/><input name=\"q2\">
<br/><strong>Ответ 3</strong>:
<br/><input name=\"q3\">
<br/><strong>Ответ 4</strong>:
<br/><input name=\"q4\">
<br/><strong>Ответ 5</strong>:
<br/><input name=\"q5\">
<br/>==========
<br/>(* - обезательные)
<br/><input type=\"submit\" value=\"Добавить\"></form>";
if (file_exists("data/votes.dat")) {
$grad.="==========
<br/><span style=\"color:red\"><strong>Удалить прежнее голосование?</strong></span>
<br/><a href=\"$PHP_SELF?sid=$sid&adm=addvote&id=delete\">Удалить</a>";
if ($id=="delete"){
$grad.="<br/><span style=\"color:green\"><strong>Удалено!</strong></span>
<br/>(* Обновите страницу)
<br/><a href=\"$PHP_SELF?sid=$sid&adm=addvote\">Нажмите тут</a>";
unlink("data/votes.dat");
}}
}else{
if (file_exists("data/votes.dat")) msg("Ошибка! Что бы добавить, удалите прежнее голосование!");
$vot = implode("",file("data/votes.dat"));
$vot = unserialize($vot);
// запись
if (!$q1 || !$q2 || !$vopros) msg("Заполните вопрос, и хотя бы 2 ответа!");
if ($q1) $vot["q1"]=$q1;
if ($q2) $vot["q2"]=$q2;
if ($q3) $vot["q3"]=$q3;
if ($q4) $vot["q4"]=$q4;
if ($q5) $vot["q5"]=$q5;
$vot["admin"]=$player["title"];
$vot["vopros"]=$vopros;
$file1 = fopen ("data/votes.dat", "w+");
fputs($file1,serialize($vot));
fclose ($file1);
$grad.="<br/>Вопрос успешно добавлен!
<br/><a href=\"$PHP_SELF?sid=$sid\">[в игру]</a>"; 
}
msg($grad,"Добавить Вопрос",0,'none');
}

if ($adm=='block'){
if (!$do){
$stmp.="<a href=\"$PHP_SELF?sid=$sid\">[^]</a>";
$stmp.="<form action=\"$PHP_SELF?sid=$sid&adm=block&do=ok\" method=\"post\">
<span style=\"color:red\"><strong>Логин игрока</strong></span>
<br/><input name=\"blog\">
<br/><strong>время</strong>:
<br/><select name=\"btime\" value=\"btime\">
<option value=\"1\">[снять]</option>
<option value=\"900\">15 мин</option>
<option value=\"1800\">30 мин</option>
</select>
<br/><input type=\"submit\" value=\"ok\">
";
}else{
$banned = implode("",file("data/banned.dat"));
$banned = unserialize($banned);
$banned["play"]="user.$blog";
$banned["time"]=time("i")+$btime;
$file1 = fopen ("data/banned.dat", "w+");
fputs($file1,serialize($banned));
fclose ($file1);

}
msg($stmp,"Блокирован",0,'none');
}
// удаления игрока
if ($adm=='duser'){
msg("<form action=\"$PHP_SELF?sid=$sid&adm=duser2\" method=\"post\">
Логин игрока:<br><input name=\"log\"  value=\"$log\" class=\"log\"/>
<br/>Причина:<br/><select name=\"pr\" value=\"pr\"/>
<option value=\"1\">неправельное имя</option>
<option value=\"2\">клон наказанного</option>
<option value=\"3\">оскр. к админу</option>
<option value=\"4\">оскр. к игроку</option>
<option value=\"5\">за неуважения</option>
<option value=\"6\">Флуд, оффтопик</option>
<option value=\"7\">по собств. желанию</option>
<option value=\"8\">нед. поведения</option>
<option value=\"9\">не развивался</option>
<option value=\"10\">правила</option>
</select>
<br/><input type=\"submit\" value=\"Удалить\" class=\"log\">"); 
};
	if ($adm=='telep'){msg("<form action=\"$PHP_SELF?sid=$sid&adm=tele\" method=\"post\">Телепорт(без loc.):<br><input name=\"inp\" class=\"inup\"/><br><input type=\"submit\" value=\"Телепортироваться\" class=\"btn\">");	};
	if ($adm=='mani') {	msg("<form action=\"$PHP_SELF?sid=$sid&adm=money\" method=\"post\">Деньги:<br><input name=\"inp\" class=\"inup\"/><br><input type=\"submit\" value=\"Получить\" class=\"btn\">");	};
	if ($adm=='giving') {msg("<form action=\"$PHP_SELF?sid=$sid&adm=get\" method=\"post\">Получить(хер пойми что:))<br><input name=\"inp\" class=\"inup\"><br><input type=\"submit\" value=\"Получить\" class=\"btn\">");};
	if ($adm=='nastr') {msg("<form action=\"$PHP_SELF?sid=$sid&adm=set\" method=\"post\">Настроить<br>Навык(<a href=\"$PHP_SELF?sid=$sid&adm=navik\">?</a>):<br><input name=\"inp\" class=\"inup\"/><br>Сколько:<br><input name=\"val\" class=\"inup\"/><br><input type=\"submit\" value=\"Настроить\" class=\"btn\">");};
	if ($adm=='dobav') {msg("<form action=\"$PHP_SELF?sid=$sid&adm=add\" method=\"post\">Добавить(Пока незнаю что:))<br><input name=\"inp\" class=\"inup\"/><br><input name=\"val\" class=\"inup\"/><br><input type=\"submit\" value=\"Добавить\" class=\"btn\">");};
	if ($adm=='res') {$game["loc"][$game["players"][$login]][$login]["life"]=$game["loc"][$game["players"][$login]][$login]["life_max"];$game["loc"][$game["players"][$login]][$login]['mana']=$game["loc"][$game["players"][$login]][$login]['mana_max'];$game["loc"][$game["players"][$login]][$login]['ghost']=0;$game["loc"][$game["players"][$login]][$login]['crim']=0;}
	if ($adm=='navik') {
	msg("<br>0-Сила<br>1-Ловкость<br>2-Интеллект<br>3-опыт<br>4-очки опыта
	<br>5-медитация<br>6-воровство<br>7-риручение животных<br>8-инженер<br>9-рукопашка<br>10-холодное оружие<br>11-стрельба<br>
	12-парирование<br>13-уклон<br>14-магия<br>15-сопротивление магии<br>16-уклон от магии<br>17-регенерация<br>18-скрытность<br>19-осторожность<br>
	20-подглядывание<br>21-изучение животных<br>22-спиритизм<br>23-лесоруб<br>24-камнетс<br>25-маскировщик");
	}
if ($adm=="filter") {
if(!$inp){
msg("<form action=\"$PHP_SELF?sid=$sid&adm=filter\" method=\"post\">Предмет:<br/>
<input name=\"inp\" value=\"item.\" class=\"inup\"/><br/>Кол-во:<br/>
<input name=\"val\" class=\"inup\"/><br/><input type=\"submit\" value=\"Получить\" class=\"btn\">");
}else{
if(!file_exists("./items/".$inp)) msg("Такого предмета нет!");
$stmp="<p>Добавить предмет:";
 $dh = opendir("./items/");
while (($fname = readdir($dh))!== false) if ($fname!="." && $fname!=".." && substr($fname,0,strlen($inp))==$inp) {
$item=explode("|",implode("",file("./items/".$fname)));
$stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&adm=item&inp=$fname&val=$val\">".$item[0]."</a>";
}
closedir($dh);
}
msg($stmp,"Предметы",0);
}
if ($adm=="item" && $inp){
$item=explode("|",implode("",file("./items/".$inp)));
$load=implode('|',$item);
$wap=explode('|',$load);
$wap[1]=$val;
$load=implode('|',$wap);
$game["loc"][$game["players"][$login]][$login]["items"][$inp]=$load;
msg("Вы получили ".$item[0]."");
}
if ($adm=="duser2") {
if ($pr=="1") $rez="Удален, за неправельное именнование персонажа";
if ($pr=="2") $rez="Удален, как клон наказанного";
if ($pr=="3") $rez="Удален, за оскорбления к администраций";
if ($pr=="4") $rez="Удален, за оскорбления к игрокам";
if ($pr=="5") $rez="Удален, за неуважения к администрации";
if ($pr=="6") $rez="Удален, за мат, оффтопик или флуд в игре, чате или в форуме";
if ($pr=="7") $rez="Удален, по собственну желанию";
if ($pr=="8") $rez="Удален, за недостойное поведения";
if ($pr=="9") $rez="Удален, т.к. не ставшийся развиватся";
if ($pr=="10") $rez="Удален, за несаблюдений правил";
$like=date("d.m.y H:i");
if (!$log) msg("Error!!!");
/// вне игре
require "loadoffline.php";
if (isset($game["loc"]["loc.offline"]["user.$log"])) 
{   $i=$game["loc"]["loc.offline"]["user.$log"]["title"];
$stmp.="Персонаж <b>$i</b> удален!!!<hr/>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">[^]</a>";
unset($game["loc"]["loc.offline"]["user.$log"]); $game["all"]=$game["all"]-1;
$fp=@fopen("data/nak.dat","a+");
fwrite($fp, "$player[title]|$like|$i|$rez\n");
fclose($fp);
}
/// в игре
if (isset($game["players"]["user.$log"])) {
$ij = $game["loc"][$game["players"]["user.$log"]]["user.$log"]["title"];
$stmp.="Персонаж $ij удален!!!";
unset($game["loc"][$game["players"]["user.$log"]]["user.$log"]); $game["all"]=$game["all"]-1;
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">[^]</a>";
$fp=@fopen("data/nak.dat","a+");
fwrite($fp, "$player[title]|$like|$ij|$rez\n");
fclose($fp);
}
msg($stmp,"Delete",0,'none');
}
 if ($adm=="acc") {
                                  if (file_exists("flag_access")) {
                                             unlink("flag_access");
                                          } else {
                                              $f==fopen("flag_access", "w+");
                                              fclose($f);
                                                  };

                                };	
if ($adm=='inf') {
msg($stmp,"Информация",0,'none');
}
	if ($adm=='tele') {
		$loc='loc.'.strtolower($inp);
		if (!isset($locations[$loc])) msg("<p>Нет локации ".$loc);
if ($player["loc"]==$loc) msg("Вы и так тут.");
		$game["loc"][$loc][$login]=$game["loc"][$player["loc"]][$login];
		unset($game["loc"][$player["loc"]][$login]);
		unset($player);
		$player=&$game["loc"][$loc][$login];
		$player["loc"]=$loc;
		$game["players"][$login]=$loc;
		}
	if ($adm=='money' && $inp) { $game["loc"][$game["players"][$login]][$login]["items"]["item.misc.money"]="Монеты|".$inp."|1"; 
	if ($inp<1) { addjournal($login,"Хрен тебе!"); } else {
	addjournal($login,"Вы получили ".$inp." монет(-ы)"); } }
	if ($adm=='get') {$skills=split("\|",$player["skills"]); msg($skills[strtolower($inp)]);
addjournal($login,"Вы получили ".$inp." Магию");}
	if ($adm=='set') {$skills=split("\|",$player["skills"]); $skills[strtolower($inp)]=$val;$player["skills"]=implode("|",$skills);calcparam($login);}
	if ($adm=='add' && $inp && $val) {$game["loc"][$player["loc"]][strtolower($inp)]=$val; if (!isset($game["loc_add"][$player["loc"]][$inp])); $game["loc_del"][$player["loc"]][$inp]=time()+$time_objects_destroy;}
	if ($adm=='god') 
	{if ($player["god"]){ 
	addjournal($login,"Вы выключили режим бесмертия");
	unset($player["god"]); }
	else { 
    addjournal($login,"Теперь вы бесмертны!");
$player["god"]="*";} }
	if ($adm=='upgrade') {require"upgrade.php";}
	if ($adm=='system') 
	foreach(array_keys($game["players"]) as $j) { 	// раз в 20 сек
		if ($game["loc"][$game["players"][$j]][$j]["title"]=="Дурак") $game["loc"][$game["players"][$j]][$j]["title"]="Noname";
		 }
	if ($adm=='news') { 
	$newspis=$game["loc"][$game["players"][$login]][$login]["title"];
	msg("<form action=\"$PHP_SELF?sid=$sid&adm=zapnews\" method=\"post\">
<span style=\"color:green\">Название</span>:<br/><input name=\"zag\" maxlength=\"100\" title=\"zag\" class=\"inup\"/>
<br/><spn style=\"color:green\">Новость</span>:<br/><input name=\"msg\" maxlength=\"999\" title=\"msg\" class=\"inup\"/>
	<br/><small><input type=\"submit\" value=\"Написать\" class=\"btn\">"); }	 
    if ($adm=='zapnews') {
if (!$zag) {msg("Пустое поле названия новости");}
if (!$msg) {msg("Пустое поле новости");}	
$date=date("d.m.y");
$tex="$zag||$date||$msg||$player[title]"; 
$tex=substr($tex,0,2048);
$tex=strip_tags($tex);
$fp=@fopen("data/news.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp);  

msg("Новость добавлена.<br/>");
};
	}
?>	


















